# Get sample details

{% hint style="info" %}
**Note:**

* For APIs used for Shop, the API key is: [`<api_key>`](/api-etelecom-english/api-integration/shop/account.md). The base\_url information of the [Shop](/api-etelecom-english/api-integration/shop/account.md).
* For APIs used for Partner, the API key is: [`<shop_key>`](/api-etelecom-english/api-integration/partner/usage.md#retrieve-the-shop_key-information). The base\_url information of the [Partner](/api-etelecom-english/api-integration/partner/account.md).
  {% endhint %}

{% openapi src="/files/rD9sIgCzdi6t4ZGv9xjX" path="$BASE\_URL.Zalo/GetTemplate" method="post" %}
[Zalo-API\_\_eTelecom.json](https://1712041776-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FzzTMjVbVjwTuSbEGC7Ya%2Fuploads%2FNLBGmSfXAFhmMhDpTH4x%2FZalo-API__eTelecom.json?alt=media\&token=0852e2bf-0fae-48a2-9d4f-7af244665d34)
{% endopenapi %}

**Request:**

```
curl --location '$BASE_URL.Zalo/GetTemplate' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer $API_KEY' \
--data '{
    "oa_id": "<int64>",
    "template_id": "<integer>"
}'
```

**Response:**

```
{
  "apply_template_quota": true,
  "created_at": "2019-08-24T14:15:22Z",
  "price": 0,
  "template_daily_quota": 0,
  "template_id": 0,
  "template_name": "string",
  "template_params": [
    {
      "accept_null": true,
      "max_length": 0,
      "min_length": 0,
      "name": "string",
      "require": true,
      "type": "string"
    }
  ],
  "template_quality": "unknown",
  "template_remaining_quota": 0,
  "template_status": "unknown",
  "template_tag": "unknown",
  "timeout": 0,
  "type": "unknown",
  "updated_at": "2019-08-24T14:15:22Z"
}
```

**Request body structure**

| Parameters   | Data type | Describe          |
| ------------ | --------- | ----------------- |
| id           | int64     | OA ID             |
| template\_id | integer   | ID of the message |

**Return data attribute structure**

| Parameters                 | Data type          | Describe                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| -------------------------- | ------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| template\_id               | integer            | ID of the message                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| template\_name             | string             | Name of the message                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| price                      | integer            | Unit price of the ad                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| timeout                    | integer            | Sample charge time                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| apply\_template\_quota     | boolean            | <p><strong><code>True</code></strong></p><p><strong><code>False</code></strong></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| template\_daily\_quota     | integer            | Number of messages ZNS can send in 1 day                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| template\_quality          | string             | <p><strong><code>unknown</code></strong>: Unknown</p><p><strong><code>UNDEFINED</code></strong>: OA quality level not determined (in case OA does not send any ZNS notification within the assessment time frame) <strong><code>LOW</code></strong>: Poor quality level</p><p><strong><code>MEDIUM</code></strong>: Medium quality level <strong><code>HIGH</code></strong>: High quality level</p>                                                                                                                                                                                                                             |
| template\_remaining\_quota | integer            | Number of messages ZNS can send remaining in 1 day                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| template\_status           | string             | <p>Message status <strong><code>unknown</code></strong>: Unknown <strong><code>PENDING\_REVIEW</code></strong>: In progress </p><p><strong><code>DISABLE</code></strong>: Locked </p><p><strong><code>ENABLE</code></strong>: Approved <strong><code>REJECT</code></strong>: Rejected</p>                                                                                                                                                                                                                                                                                                                                       |
| template\_tag              | string             | <p>Message level <strong><code>unknown</code></strong>: Unknown</p><p><strong><code>OTP</code></strong>: Tin OTP (member 0)</p><p><strong><code>IN\_TRANSACTION</code></strong>: Confirm/Update transaction information (Tag 1)</p><p><strong><code>POST\_TRANSACTION</code></strong>: Support related services after transaction (Tag 2)</p><p><strong><code>ACCOUNT\_UPDATE</code></strong>: Update account information (Tag 3)</p><p><strong><code>GENERAL\_UPDATE</code></strong>: Change service information (Tag 4)</p><p><strong><code>FOLLOW\_UP</code></strong>: Promotional announcement to old customers (Tag 5)</p> |
| template\_params           | array object       | List of record attributes                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| updated\_at                | string\<date-time> | Update time                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| created\_at                | string\<date-time> | Creation time                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.etelecom.vn/api-etelecom-english/api-integration/zalo-cloud/zalo-cloud-api/get-sample-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
